Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QPainter.RenderHint

    java.lang.Object
      java.lang.Enum<QPainter.RenderHint>
          com.trolltech.qt.gui.QPainter.RenderHint

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QPainter.RenderHint>

Enclosing class:
  QPainter

    public static enum QPainter.RenderHint

extends java.lang.Enum<QPainter.RenderHint>
implements QtEnumerator

Renderhints are used to specify flags to `QPainter` that may or may not be respected by any given engine.

See Also:
  `renderHints`, `setRenderHint`, `Quality`, `Circles Example`

Enum Constant Summary
`Antialiasing` Indicates that the engine should antialias edges of primitives if possible.
`HighQualityAntialiasing` An OpenGL-specific rendering hint indicating that the engine should use fragment programs and offscreen rendering for antialiasing.
`SmoothPixmapTransform` Indicates that the engine should use a smooth pixmap transformation algorithm (such as bilinear) rather than nearest neighbor.
`TextAntialiasing` Indicates that the engine should antialias text if possible.

Method Summary
`static QPainter.RenderHints` | `createQFlags(QPainter.RenderHint... values)`
`static QPainter.RenderHint` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPainter.RenderHint` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QPainter.RenderHint[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Antialiasing

    public static final QPainter.RenderHint Antialiasing

  Indicates that the engine should antialias edges of primitives if possible.

### TextAntialiasing

    public static final QPainter.RenderHint TextAntialiasing

  Indicates that the engine should antialias text if possible.

### SmoothPixmapTransform

    public static final QPainter.RenderHint SmoothPixmapTransform

  Indicates that the engine should use a smooth pixmap transformation algorithm (such as bilinear) rather than nearest neighbor.

### HighQualityAntialiasing

    public static final QPainter.RenderHint HighQualityAntialiasing

  An OpenGL-specific rendering hint indicating that the engine should use fragment programs and offscreen rendering for antialiasing.

Method Detail

### values

    public static final QPainter.RenderHint[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QPainter.RenderHint c : QPainter.RenderHint.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QPainter.RenderHint valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QPainter.RenderHints createQFlags(QPainter.RenderHint... values)

### resolve

    public static QPainter.RenderHint resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD